# annoying_journal

A low-dependency GUI journal that pops up and steals keyboard focus 
every 37 minutes, to force you to write an entry.

[Video](videos/002-demo.webm)

![A comic with two characters. A character labeled "The program" is sitting on top of a computer monitor. A character labeled "You", looking angry, is staring up at the program. The program is saying, "Heyyy, whatcha doin'? Workin' on anything? Wanna write it dooown?](images/elevator-pitch.png)

## Output

Text and timestamps of journal entries are saved in the directory `annoying_journal`,
in [JSONL format](https://jsonlines.org/).

## CLI parameters

- `--interval-secs <u64>` - Change the pop-up interval (default is 2,225)
- `--prompt <String>` - Change the prompt that shows above the editor.

## Misc

Git repo: https://six-five-six-four.com/git/reactor/annoying_journal

Backup Git repo: https://github.com/ReactorScram/annoying_journal

License: [AGPLv3](COPYING)
